Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.ui.view.swt.di.renderer
Class DIControlSWTRenderer

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractRenderer<VELEMENT>
          org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer<VCONTROL>
              org.eclipse.emf.ecp.view.spi.core.swt.AbstractControlSWTRenderer<VControl>
                  org.eclipse.emf.ecp.ui.view.swt.di.renderer.DIControlSWTRenderer

    public class DIControlSWTRenderer

extends AbstractControlSWTRenderer<VControl>

Author:
  jfaltermeier

Constructor Summary
`DIControlSWTRenderer(VControl vElement, ViewModelContext viewContext, ReportService reportService, EMFFormsDatabinding emfFormsDatabinding, EMFFormsLabelProvider emfFormsLabelProvider, VTViewTemplateProvider vtViewTemplateProvider)` Default constructor.

Method Summary
`SWTGridDescription` | `getGridDescription(SWTGridDescription gridDescription)` Returns the GridDescription for this Renderer.

Methods inherited from class org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer
`finalizeRendering, init, render`

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractRenderer
`getVElement, getViewModelContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DIControlSWTRenderer

    public DIControlSWTRenderer(VControl vElement,
                                ViewModelContext viewContext,
                                ReportService reportService,
                                EMFFormsDatabinding emfFormsDatabinding,
                                EMFFormsLabelProvider emfFormsLabelProvider,
                                VTViewTemplateProvider vtViewTemplateProvider)

  Default constructor.

  Parameters:
    `vElement` - the view model element to be rendered
    `viewContext` - the view context
    `emfFormsDatabinding` - The `EMFFormsDatabinding`
    `emfFormsLabelProvider` - The `EMFFormsLabelProvider`
    `reportService` - The `ReportService`
    `vtViewTemplateProvider` - The `VTViewTemplateProvider`

Method Detail

### getGridDescription

    public SWTGridDescription getGridDescription(SWTGridDescription gridDescription)

  Returns the GridDescription for this Renderer.

  Specified by:
    `getGridDescription` in class `AbstractSWTRenderer<VControl>`
  Parameters:
    `gridDescription` - the current `SWTGridDescription`
  Returns:
    the number of controls per row
  See Also:
    `AbstractSWTRenderer.getGridDescription(org.eclipse.emfforms.spi.swt.core.layout.SWTGridDescription)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.